CustomTNonBlockingServer (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CustomTNonBlockingServer

    java.lang.Object
      org.apache.thrift.server.TServer
          org.apache.thrift.server.TNonblockingServer
              org.apache.cassandra.thrift.CustomTNonBlockingServer

    public class CustomTNonBlockingServer

extends org.apache.thrift.server.TNonblockingServer

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.thrift.server.TNonblockingServer
`org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs<T extends org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs<T>>, org.apache.thrift.server.TNonblockingServer.Args, org.apache.thrift.server.TNonblockingServer.FrameBuffer, org.apache.thrift.server.TNonblockingServer.SelectThread`

Nested classes/interfaces inherited from class org.apache.thrift.server.TServer
`org.apache.thrift.server.TServer.AbstractServerArgs<T extends org.apache.thrift.server.TServer.AbstractServerArgs<T>>`

Field Summary

Fields inherited from class org.apache.thrift.server.TServer
`inputProtocolFactory_, inputTransportFactory_, outputProtocolFactory_, outputTransportFactory_, processorFactory_, serverTransport_`

Constructor Summary
`CustomTNonBlockingServer(org.apache.thrift.server.TNonblockingServer.Args args)`

Method Summary
`protected boolean` | `requestInvoke(org.apache.thrift.server.TNonblockingServer.FrameBuffer frameBuffer)`

Methods inherited from class org.apache.thrift.server.TNonblockingServer
`isStopped, joinSelector, requestSelectInterestChange, serve, startListening, startSelectorThread, stop, stopListening`

Methods inherited from class org.apache.thrift.server.TServer
`isServing, setServing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomTNonBlockingServer

    public CustomTNonBlockingServer(org.apache.thrift.server.TNonblockingServer.Args args)

Method Detail

### requestInvoke

    protected boolean requestInvoke(org.apache.thrift.server.TNonblockingServer.FrameBuffer frameBuffer)

  Overrides:
    `requestInvoke` in class `org.apache.thrift.server.TNonblockingServer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation